Subject: Ticket Assigned - Landmark Group
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 25 Jan 2021 17:24:46 +0000

Hi Mohammad Humayun,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Landmark Group Hi, this is Gemma. I just received my order#LM9630128607 and very dissapointed about it. First the box of jockey underware/boxer was not sealed as for hygenic issue and 1 boxer was missing, second; the color I have placed online is color black and received navy blue. I know the return process is complicated and time consuming. I ordered it as a gift,  and I am just dissapointed for this simply 3 items. Please send the items missing. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2019620